import { _decorator, Component, sp, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('SpineTest2')
export class SpineTest2 extends Component {

    @property(sp.Skeleton)
    spineNode: sp.Skeleton = null;

    start() {
        this.spineNode.setAnimation(0, "Jump", false);

        setTimeout(()=>{
            this.spineNode.setEndListener(()=>{
                console.log("bugTest2");
            })
            this.spineNode.setAnimation(0, "gungrab", false);
        }, 2000)
    }

    update(deltaTime: number) {
        
    }
}

